Bug 748754 - "krb5kdc: line 1: 7: command not found" message displayed during ipactl restart on multi-cpu system.
Summary: "krb5kdc: line 1: 7: command not found" message displayed during ipactl resta...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: ipa
Version: 6.2
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Rob Crittenden
QA Contact: IDM QE LIST
URL:
Whiteboard:
Depends On:
Blocks: 750914
TreeView+ depends on / blocked
 
Reported: 2011-10-25 09:35 UTC by Gowrishankar Rajaiyan
Modified: 2011-12-06 18:43 UTC (History)
4 users (show)

Fixed In Version: ipa-2.1.3-4.el6
Doc Type: Bug Fix
Doc Text:
Cause: Arguments for Kerberos KDC in /etc/sysconfig/krb5kdc were not formatted properly on multi-cpu systems. Consequence: KDC did not use the intended number of CPUs (workers) and reported error when it was (re)started Fix: Arguments are formatted correctly Result: No error message is written during KDC (re)start and it use the correct number of CPUs (workers)
Clone Of:
Environment:
Last Closed: 2011-12-06 18:43:28 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:1533 normal SHIPPED_LIVE Moderate: ipa security and bug fix update 2011-12-06 01:23:31 UTC

Description Gowrishankar Rajaiyan 2011-10-25 09:35:55 UTC
Description of problem:


Version-Release number of selected component (if applicable):
ipa-server-2.1.3-3.el6.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Install ipa-server on multi-cpu system.
2. ipactl restart

  
Actual results: "/etc/sysconfig/krb5kdc: line 1: 7: command not found" is displayed during ipactl restart.

[root@bumblebee ~]# ipactl restart
Restarting Directory Service
Shutting down dirsrv: 
    LAB-ENG-PNQ-REDHAT-COM...                              [  OK  ]
    PKI-IPA...                                             [  OK  ]
Starting dirsrv: 
    LAB-ENG-PNQ-REDHAT-COM...                              [  OK  ]
    PKI-IPA...                                             [  OK  ]
Restarting KDC Service
/etc/sysconfig/krb5kdc: line 1: 7: command not found
Stopping Kerberos 5 KDC:                                   [  OK  ]
Starting Kerberos 5 KDC:                                   [  OK  ]
Restarting KPASSWD Service
Shutting down ipa_kpasswd:                                 [  OK  ]
Starting ipa_kpasswd:                                      [  OK  ]
Restarting HTTP Service
Stopping httpd:                                            [  OK  ]
Starting httpd: [Tue Oct 25 06:15:51 2011] [warn] worker ajp://localhost:9447/ already used by another worker
[Tue Oct 25 06:15:51 2011] [warn] worker ajp://localhost:9447/ already used by another worker
                                                           [  OK  ]
Restarting CA Service
Stopping pki-ca:                                           [  OK  ]
Starting pki-ca:                                           [  OK  ]
[root@bumblebee ~]#



[root@bumblebee ~]# cat /etc/sysconfig/krb5kdc
KRB5KDC_ARGS=-w 7
KRB5REALM=LAB.ENG.PNQ.REDHAT.COM
[root@bumblebee ~]#

Expected results: restart should be clean without any "command not found" message.


Additional info:

Comment 2 Martin Kosek 2011-10-25 12:45:43 UTC
Upstream ticket:
https://fedorahosted.org/freeipa/ticket/2023

Comment 3 Rob Crittenden 2011-10-25 12:48:28 UTC
I believe the value needs to be quoted.

Comment 6 Gowrishankar Rajaiyan 2011-10-31 06:55:03 UTC
[root@bumblebee ~]# cat /etc/sysconfig/krb5kdc
KRB5KDC_ARGS='-w 7'
KRB5REALM=LAB.ENG.PNQ.REDHAT.COM
[root@bumblebee ~]# 

[root@bumblebee ~]# ipactl restart
Restarting Directory Service
Shutting down dirsrv: 
    LAB-ENG-PNQ-REDHAT-COM...                              [  OK  ]
    PKI-IPA...                                             [  OK  ]
Starting dirsrv: 
    LAB-ENG-PNQ-REDHAT-COM...                              [  OK  ]
    PKI-IPA...                                             [  OK  ]
Restarting KDC Service
Stopping Kerberos 5 KDC:                                   [  OK  ]
Starting Kerberos 5 KDC:                                   [  OK  ]
Restarting KPASSWD Service
Shutting down ipa_kpasswd:                                 [  OK  ]
Starting ipa_kpasswd:                                      [  OK  ]
Restarting HTTP Service
Stopping httpd:                                            [  OK  ]
Starting httpd: [Mon Oct 31 02:52:05 2011] [warn] worker ajp://localhost:9447/ already used by another worker
[Mon Oct 31 02:52:05 2011] [warn] worker ajp://localhost:9447/ already used by another worker
                                                           [  OK  ]
Restarting CA Service
Stopping pki-ca:                                           [  OK  ]
Starting pki-ca:                                           [  OK  ]
[root@bumblebee ~]# 


Verified. Version: ipa-server-2.1.3-6.el6.x86_64

Comment 7 Martin Kosek 2011-10-31 15:53:05 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Cause: Arguments for Kerberos KDC in /etc/sysconfig/krb5kdc were not formatted properly on multi-cpu systems.
Consequence: KDC did not use the intended number of CPUs (workers) and reported error when it was (re)started
Fix: Arguments are formatted correctly
Result: No error message is written during KDC (re)start and it use the correct number of CPUs (workers)

Comment 8 errata-xmlrpc 2011-12-06 18:43:28 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2011-1533.html


Note You need to log in before you can comment on or make changes to this bug.